Subject: Re: [PATCH] General CHRP/MPC5K2 Platform and drivers support - to comment

From: Matt Sealey <[email-masked]>
Date: Mon, 23 Oct 2006 16:47:49 +0200

Curious question.

What are you guys going to do when the PowerPC name is defunct?

Like, last month :)

Power Architecture is where it is at. The trademark is even going to
lapse. It's a bit too late for the ppc->powerpc tree breakout now,
but wouldn't it just confuse people to be using a "Power Architecture"
processor or SoC of some type, using collections of definitions from
the Power ISA 2.03 and have this "powerpc" thing pop up?

It confused me even before, because ppc and ppc64 have also been
used to support real POWER (with a capital P, O, W, E and R) processors,
and now these are lumped in with powerpc which is no better than
ppc64 in these terms?

Just flexing my marketing exec muscles, see if they work, never done
it before. Oh... *crack*.. that wasn't a good noise :]

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Benjamin Herrenschmidt wrote:
> Ok, here's a batch of comments. They go on top of the comments I sent
> about your device-tree, which you might want to make public.
> 
> Also note that the size of the patch is partially due to stale ##
> and .orig files :)
> 
> In general, one big thing is: Don't bother with re-using the arch/ppc
> code, API, .h etc... There is not enough re-use there to justify it (FEC
> driver is new, serial can easily be changed, as for USB).
> 
> * /proc/ppc64/rtas changes: we need to continue that discussion
> separately and ask for paulus point of view. I prefer /proc/powerpc
> personally with a /proc/ppc64->/proc/powerpc symlink on 64 bits machines
> only.
> 
[snip]